Package com.independentsoft.office.spreadsheet.revisions

# Class RevisionFormat

java.lang.Object
com.independentsoft.office.spreadsheet.revisions.RevisionFormat

public class RevisionFormat extends Object
The Class RevisionFormat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RevisionFormat()`
  Instantiates a new revision format.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RevisionFormat`
  `clone()`
  `int`
  `getLength()`
  Gets the length.
  `String`
  `getReferenceSequence()`
  Gets the reference sequence.
  `int`
  `getSheetID()`
  Gets the sheet id.
  `int`
  `getStartIndex()`
  Gets the start index.
  `boolean`
  `isRowColumnFormattingChange()`
  Checks if is row column formatting change.
  `boolean`
  `isStyleRevision()`
  Checks if is style revision.
  `void`
  `setLength​(int length)`
  Sets the length.
  `void`
  `setReferenceSequence​(String referenceSequence)`
  Sets the reference sequence.
  `void`
  `setRowColumnFormattingChange​(boolean rowColumnFormattingChange)`
  Sets the row column formatting change.
  `void`
  `setSheetID​(int sheetID)`
  Sets the sheet id.
  `void`
  `setStartIndex​(int startIndex)`
  Sets the start index.
  `void`
  `setStyleRevision​(boolean styleRevision)`
  Sets the style revision.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RevisionFormat

    public RevisionFormat()
    Instantiates a new revision format.

- ## Method Details

  - ### clone

    public RevisionFormat clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getLength

    public int getLength()
    Gets the length.
    Returns:
      the length

  - ### setLength

    public void setLength​(int length)
    Sets the length.
    Parameters:
      `length` - the new length

  - ### getStartIndex

    public int getStartIndex()
    Gets the start index.
    Returns:
      the start index

  - ### setStartIndex

    public void setStartIndex​(int startIndex)
    Sets the start index.
    Parameters:
      `startIndex` - the new start index

  - ### getReferenceSequence

    public String getReferenceSequence()
    Gets the reference sequence.
    Returns:
      the reference sequence

  - ### setReferenceSequence

    public void setReferenceSequence​(String referenceSequence)
    Sets the reference sequence.
    Parameters:
      `referenceSequence` - the new reference sequence

  - ### isStyleRevision

    public boolean isStyleRevision()
    Checks if is style revision.
    Returns:
      true, if is style revision

  - ### setStyleRevision

    public void setStyleRevision​(boolean styleRevision)
    Sets the style revision.
    Parameters:
      `styleRevision` - the new style revision

  - ### getSheetID

    public int getSheetID()
    Gets the sheet id.
    Returns:
      the sheet id

  - ### setSheetID

    public void setSheetID​(int sheetID)
    Sets the sheet id.
    Parameters:
      `sheetID` - the new sheet id

  - ### isRowColumnFormattingChange

    public boolean isRowColumnFormattingChange()
    Checks if is row column formatting change.
    Returns:
      true, if is row column formatting change

  - ### setRowColumnFormattingChange

    public void setRowColumnFormattingChange​(boolean rowColumnFormattingChange)
    Sets the row column formatting change.
    Parameters:
      `rowColumnFormattingChange` - the new row column formatting change